#ifndef EFUNCCODE_H
#define EFUNCCODE_H

#include "efuncbase.h"
#include "eparserinterpreter.h"
#include "einterpret_atom.h"

class efuncCode : public efuncBase
{
 public:
  estr args;
  estr code;
  ecodeAtom *exec;

  efuncCode(): exec(0x00) {}
  ~efuncCode() { if (exec) delete exec; }

  inline const type_info& getTypeid(){ return(typeid(efuncCode)); }
  evar call(const evararray &args);
  void updateInfo(efunc *f);
  bool equalFunc(efuncBase *fb) { return(false); }
};

#endif

